[arch-commits] Commit in perl-dbd-mysql/repos (4 files)

Kevin Piché kevin at archlinux.org
Mon Nov 28 21:23:08 EST 2011


    Date: Monday, November 28, 2011 @ 21:23:08
  Author: kevin
Revision: 143771

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  perl-dbd-mysql/repos/extra-i686/PKGBUILD
    (from rev 143770, perl-dbd-mysql/trunk/PKGBUILD)
  perl-dbd-mysql/repos/extra-x86_64/PKGBUILD
    (from rev 143770, perl-dbd-mysql/trunk/PKGBUILD)
Deleted:
  perl-dbd-mysql/repos/extra-i686/PKGBUILD
  perl-dbd-mysql/repos/extra-x86_64/PKGBUILD

-----------------------+
 extra-i686/PKGBUILD   |   98 ++++++++++++++++++++++++------------------------
 extra-x86_64/PKGBUILD |   98 ++++++++++++++++++++++++------------------------
 2 files changed, 98 insertions(+), 98 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2011-11-29 02:05:28 UTC (rev 143770)
+++ extra-i686/PKGBUILD	2011-11-29 02:23:08 UTC (rev 143771)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: kevin <kevin at archlinux.org>
-# Contributor: Eric Johnson <eric at coding-zone.com>
-
-pkgname=perl-dbd-mysql
-_realname=DBD-mysql
-pkgver=4.019
-pkgrel=1
-pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
-arch=(i686 x86_64)
-license=('GPL' 'PerlArtistic')
-url="http://search.cpan.org/dist/${_realname}/"
-depends=('libmysqlclient' 'perl-dbi' 'perl>=5.14.0')
-makedepends=('mysql')
-options=(!emptydirs)
-source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
-md5sums=('566d98ab8ffac9626a31f6f6d455558e')
-
-build() {
-  cd ${srcdir}/${_realname}-${pkgver}
-
-  # install module in vendor directories.
-  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
-  make
-}
-
-check() {
-  cd ${srcdir}/${_realname}-${pkgver}
-  mkdir -p /tmp/mysql_test
-  mysql_install_db \
-     --basedir=/usr \
-     --datadir=/tmp/mysql_test
-  mysqld -P 17999 \
-     --socket=/tmp/socket.mysql \
-     --datadir=/tmp/mysql_test &
-  sleep 10
-  DAEMON_PORT=$!
-  make test || true
-  kill -9 $DAEMON_PORT
-}
-
-package() {
-  cd ${srcdir}/${_realname}-${pkgver}
-  make install DESTDIR=${pkgdir}
-
-  # remove perllocal.pod and .packlist
-  find ${pkgdir} -name perllocal.pod -delete
-  find ${pkgdir} -name .packlist -delete
-}

Copied: perl-dbd-mysql/repos/extra-i686/PKGBUILD (from rev 143770, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2011-11-29 02:23:08 UTC (rev 143771)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.020
+pkgrel=1
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=(i686 x86_64)
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmysqlclient' 'perl-dbi' 'perl>=5.14.0')
+makedepends=('mysql')
+options=(!emptydirs)
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('a2bf8808bbd45298e84dde06afbd58e9')
+
+build() {
+  cd ${srcdir}/${_realname}-${pkgver}
+
+  # install module in vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  make install DESTDIR=${pkgdir}
+
+  # remove perllocal.pod and .packlist
+  find ${pkgdir} -name perllocal.pod -delete
+  find ${pkgdir} -name .packlist -delete
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2011-11-29 02:05:28 UTC (rev 143770)
+++ extra-x86_64/PKGBUILD	2011-11-29 02:23:08 UTC (rev 143771)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: kevin <kevin at archlinux.org>
-# Contributor: Eric Johnson <eric at coding-zone.com>
-
-pkgname=perl-dbd-mysql
-_realname=DBD-mysql
-pkgver=4.019
-pkgrel=1
-pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
-arch=(i686 x86_64)
-license=('GPL' 'PerlArtistic')
-url="http://search.cpan.org/dist/${_realname}/"
-depends=('libmysqlclient' 'perl-dbi' 'perl>=5.14.0')
-makedepends=('mysql')
-options=(!emptydirs)
-source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
-md5sums=('566d98ab8ffac9626a31f6f6d455558e')
-
-build() {
-  cd ${srcdir}/${_realname}-${pkgver}
-
-  # install module in vendor directories.
-  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
-  make
-}
-
-check() {
-  cd ${srcdir}/${_realname}-${pkgver}
-  mkdir -p /tmp/mysql_test
-  mysql_install_db \
-     --basedir=/usr \
-     --datadir=/tmp/mysql_test
-  mysqld -P 17999 \
-     --socket=/tmp/socket.mysql \
-     --datadir=/tmp/mysql_test &
-  sleep 10
-  DAEMON_PORT=$!
-  make test || true
-  kill -9 $DAEMON_PORT
-}
-
-package() {
-  cd ${srcdir}/${_realname}-${pkgver}
-  make install DESTDIR=${pkgdir}
-
-  # remove perllocal.pod and .packlist
-  find ${pkgdir} -name perllocal.pod -delete
-  find ${pkgdir} -name .packlist -delete
-}

Copied: perl-dbd-mysql/repos/extra-x86_64/PKGBUILD (from rev 143770, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2011-11-29 02:23:08 UTC (rev 143771)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.020
+pkgrel=1
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=(i686 x86_64)
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmysqlclient' 'perl-dbi' 'perl>=5.14.0')
+makedepends=('mysql')
+options=(!emptydirs)
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('a2bf8808bbd45298e84dde06afbd58e9')
+
+build() {
+  cd ${srcdir}/${_realname}-${pkgver}
+
+  # install module in vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  make install DESTDIR=${pkgdir}
+
+  # remove perllocal.pod and .packlist
+  find ${pkgdir} -name perllocal.pod -delete
+  find ${pkgdir} -name .packlist -delete
+}



More information about the arch-commits mailing list